package openweather.jackson_core;

import java.io.IOException;
import java.net.MalformedURLException;
import java.net.URL;

import com.fasterxml.jackson.databind.JsonNode;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.node.ArrayNode;

public class App {
	static String OpenWeathermapAPI = "http://api.openweathermap.org/data/2.5/weather?q={city}&appid={appid}";
	static String AppId = "abbcea2020f75409af198b98de40e3a6";

	public static void main(String[] args) throws IOException {
		// Creation of the REST API
		String city = (args.length != 0)? args[0]:"Toulouse";
		String restAPI = OpenWeathermapAPI.replace("{city}", city);
		restAPI = restAPI.replace("{appid}", AppId);
		URL url = new URL(restAPI);
		// Call the  REST API
		ObjectMapper objectMapper = new ObjectMapper();
		JsonNode rootNode = objectMapper.readTree(url);
		String cityName = rootNode.get("name").asText();
		ArrayNode weather = (ArrayNode)rootNode.get("weather");
		for (JsonNode jsonNode : weather) {
			String description = jsonNode.get("description").asText();
			System.out.println(cityName+": "+description);
		}
	}

}
